# SimpleApplicationUrl Class Reference

Inheritance diagram for SimpleApplicationUrl:
[legend]

List of all members.

## Public Member Functions

| setPathByRequestUri ($requestUri, $normalize=true)
| href ($url, $absolute=null)

## Static Public Member Functions

static | create ()

## Detailed Description

Definition at line 2 of file SimpleApplicationUrl.class.php.

## Member Function Documentation

static SimpleApplicationUrl::create | ( |  | ) | `[static]`

Returns:
  SimpleApplicationUrl

Reimplemented from ApplicationUrl.

Definition at line 7 of file SimpleApplicationUrl.class.php.

SimpleApplicationUrl::href | ( | $ | url,
|  | $ | absolute = `null` |
| ) |  |  |

Reimplemented from ApplicationUrl.

Definition at line 20 of file SimpleApplicationUrl.class.php.

References ApplicationUrl::$absolute, and ApplicationUrl::getArgSeparator().

Here is the call graph for this function:

SimpleApplicationUrl::setPathByRequestUri | ( | $ | requestUri,
|  | $ | normalize = `true` |
| ) |  |  |

Returns:
  SimpleApplicationUrl

Reimplemented from ApplicationUrl.

Definition at line 15 of file SimpleApplicationUrl.class.php.

The documentation for this class was generated from the following file:

- main/Application/SimpleApplicationUrl.class.php